# AbstractMediaStream Class Reference

### [com.trolltech.qt.phonon package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The AbstractMediaStream prototype object

### Instance Properties

AbstractMediaStream objects have no special properties beyond those inherited from the AbstractMediaStream prototype object.